Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 209)
+++ lemon/bits/array_map.h	(revision 314)
@@ -27,46 +27,46 @@
 #include <lemon/concepts/maps.h>
 
-/// \ingroup graphbits
-/// \file
-/// \brief Graph map based on the array storage.
+// \ingroup graphbits
+// \file
+// \brief Graph map based on the array storage.
 
 namespace lemon {
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Graph map based on the array storage.
-  ///
-  /// The ArrayMap template class is graph map structure what
-  /// automatically updates the map when a key is added to or erased from
-  /// the map. This map uses the allocators to implement
-  /// the container functionality.
-  ///
-  /// The template parameters are the Graph the current Item type and
-  /// the Value type of the map.
+  // \ingroup graphbits
+  //
+  // \brief Graph map based on the array storage.
+  //
+  // The ArrayMap template class is graph map structure what
+  // automatically updates the map when a key is added to or erased from
+  // the map. This map uses the allocators to implement
+  // the container functionality.
+  //
+  // The template parameters are the Graph the current Item type and
+  // the Value type of the map.
   template <typename _Graph, typename _Item, typename _Value>
   class ArrayMap
     : public ItemSetTraits<_Graph, _Item>::ItemNotifier::ObserverBase {
   public:
-    /// The graph type of the maps.
+    // The graph type of the maps.
     typedef _Graph Graph;
-    /// The item type of the map.
+    // The item type of the map.
     typedef _Item Item;
-    /// The reference map tag.
+    // The reference map tag.
     typedef True ReferenceMapTag;
 
-    /// The key type of the maps.
+    // The key type of the maps.
     typedef _Item Key;
-    /// The value type of the map.
+    // The value type of the map.
     typedef _Value Value;
 
-    /// The const reference type of the map.
+    // The const reference type of the map.
     typedef const _Value& ConstReference;
-    /// The reference type of the map.
+    // The reference type of the map.
     typedef _Value& Reference;
 
-    /// The notifier type.
+    // The notifier type.
     typedef typename ItemSetTraits<_Graph, _Item>::ItemNotifier Notifier;
 
-    /// The MapBase of the Map which imlements the core regisitry function.
+    // The MapBase of the Map which imlements the core regisitry function.
     typedef typename Notifier::ObserverBase Parent;
 
@@ -76,7 +76,7 @@
   public:
 
-    /// \brief Graph initialized map constructor.
-    ///
-    /// Graph initialized map constructor.
+    // \brief Graph initialized map constructor.
+    //
+    // Graph initialized map constructor.
     explicit ArrayMap(const Graph& graph) {
       Parent::attach(graph.notifier(Item()));
@@ -90,7 +90,7 @@
     }
 
-    /// \brief Constructor to use default value to initialize the map.
-    ///
-    /// It constructs a map and initialize all of the the map.
+    // \brief Constructor to use default value to initialize the map.
+    //
+    // It constructs a map and initialize all of the the map.
     ArrayMap(const Graph& graph, const Value& value) {
       Parent::attach(graph.notifier(Item()));
@@ -104,7 +104,8 @@
     }
 
-    /// \brief Constructor to copy a map of the same map type.
-    ///
-    /// Constructor to copy a map of the same map type.
+  private:
+    // \brief Constructor to copy a map of the same map type.
+    //
+    // Constructor to copy a map of the same map type.
     ArrayMap(const ArrayMap& copy) : Parent() {
       if (copy.attached()) {
@@ -122,11 +123,11 @@
     }
 
-    /// \brief Assign operator.
-    ///
-    /// This operator assigns for each item in the map the
-    /// value mapped to the same item in the copied map.
-    /// The parameter map should be indiced with the same
-    /// itemset because this assign operator does not change
-    /// the container of the map.
+    // \brief Assign operator.
+    //
+    // This operator assigns for each item in the map the
+    // value mapped to the same item in the copied map.
+    // The parameter map should be indiced with the same
+    // itemset because this assign operator does not change
+    // the container of the map.
     ArrayMap& operator=(const ArrayMap& cmap) {
       return operator=<ArrayMap>(cmap);
@@ -134,10 +135,10 @@
 
 
-    /// \brief Template assign operator.
-    ///
-    /// The given parameter should be conform to the ReadMap
-    /// concecpt and could be indiced by the current item set of
-    /// the NodeMap. In this case the value for each item
-    /// is assigned by the value of the given ReadMap.
+    // \brief Template assign operator.
+    //
+    // The given parameter should be conform to the ReadMap
+    // concecpt and could be indiced by the current item set of
+    // the NodeMap. In this case the value for each item
+    // is assigned by the value of the given ReadMap.
     template <typename CMap>
     ArrayMap& operator=(const CMap& cmap) {
@@ -151,7 +152,8 @@
     }
 
-    /// \brief The destructor of the map.
-    ///
-    /// The destructor of the map.
+  public:
+    // \brief The destructor of the map.
+    //
+    // The destructor of the map.
     virtual ~ArrayMap() {
       if (attached()) {
@@ -169,8 +171,8 @@
   public:
 
-    /// \brief The subscript operator.
-    ///
-    /// The subscript operator. The map can be subscripted by the
-    /// actual keys of the graph.
+    // \brief The subscript operator.
+    //
+    // The subscript operator. The map can be subscripted by the
+    // actual keys of the graph.
     Value& operator[](const Key& key) {
       int id = Parent::notifier()->id(key);
@@ -178,8 +180,8 @@
     }
 
-    /// \brief The const subscript operator.
-    ///
-    /// The const subscript operator. The map can be subscripted by the
-    /// actual keys of the graph.
+    // \brief The const subscript operator.
+    //
+    // The const subscript operator. The map can be subscripted by the
+    // actual keys of the graph.
     const Value& operator[](const Key& key) const {
       int id = Parent::notifier()->id(key);
@@ -187,8 +189,8 @@
     }
 
-    /// \brief Setter function of the map.
-    ///
-    /// Setter function of the map. Equivalent with map[key] = val.
-    /// This is a compatibility feature with the not dereferable maps.
+    // \brief Setter function of the map.
+    //
+    // Setter function of the map. Equivalent with map[key] = val.
+    // This is a compatibility feature with the not dereferable maps.
     void set(const Key& key, const Value& val) {
       (*this)[key] = val;
@@ -197,8 +199,8 @@
   protected:
 
-    /// \brief Adds a new key to the map.
-    ///
-    /// It adds a new key to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds a new key to the map.
+    //
+    // It adds a new key to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const Key& key) {
       Notifier* nf = Parent::notifier();
@@ -225,8 +227,8 @@
     }
 
-    /// \brief Adds more new keys to the map.
-    ///
-    /// It adds more new keys to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds more new keys to the map.
+    //
+    // It adds more new keys to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const std::vector<Key>& keys) {
       Notifier* nf = Parent::notifier();
@@ -269,8 +271,8 @@
     }
 
-    /// \brief Erase a key from the map.
-    ///
-    /// Erase a key from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase a key from the map.
+    //
+    // Erase a key from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const Key& key) {
       int id = Parent::notifier()->id(key);
@@ -278,8 +280,8 @@
     }
 
-    /// \brief Erase more keys from the map.
-    ///
-    /// Erase more keys from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase more keys from the map.
+    //
+    // Erase more keys from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const std::vector<Key>& keys) {
       for (int i = 0; i < int(keys.size()); ++i) {
@@ -289,8 +291,8 @@
     }
 
-    /// \brief Buildes the map.
-    ///
-    /// It buildes the map. It called by the observer notifier
-    /// and it overrides the build() member function of the observer base.
+    // \brief Buildes the map.
+    //
+    // It buildes the map. It called by the observer notifier
+    // and it overrides the build() member function of the observer base.
     virtual void build() {
       Notifier* nf = Parent::notifier();
@@ -303,8 +305,8 @@
     }
 
-    /// \brief Clear the map.
-    ///
-    /// It erase all items from the map. It called by the observer notifier
-    /// and it overrides the clear() member function of the observer base.
+    // \brief Clear the map.
+    //
+    // It erase all items from the map. It called by the observer notifier
+    // and it overrides the clear() member function of the observer base.
     virtual void clear() {
       Notifier* nf = Parent::notifier();
Index: lemon/bits/base_extender.h
===================================================================
--- lemon/bits/base_extender.h	(revision 256)
+++ lemon/bits/base_extender.h	(revision 314)
@@ -29,12 +29,12 @@
 #include <lemon/concepts/maps.h>
 
-///\ingroup digraphbits
-///\file
-///\brief Extenders for the digraph types
+//\ingroup digraphbits
+//\file
+//\brief Extenders for the digraph types
 namespace lemon {
 
-  /// \ingroup digraphbits
-  ///
-  /// \brief BaseDigraph to BaseGraph extender
+  // \ingroup digraphbits
+  //
+  // \brief BaseDigraph to BaseGraph extender
   template <typename Base>
   class UndirDigraphExtender : public Base {
@@ -75,38 +75,35 @@
     };
 
-    /// First node of the edge
+    // First node of the edge
     Node u(const Edge &e) const {
       return Parent::source(e);
     }
 
-    /// Source of the given arc
+    // Source of the given arc
     Node source(const Arc &e) const {
       return e.forward ? Parent::source(e) : Parent::target(e);
     }
 
-    /// Second node of the edge
+    // Second node of the edge
     Node v(const Edge &e) const {
       return Parent::target(e);
     }
 
-    /// Target of the given arc
+    // Target of the given arc
     Node target(const Arc &e) const {
       return e.forward ? Parent::target(e) : Parent::source(e);
     }
 
-    /// \brief Directed arc from an edge.
-    ///
-    /// Returns a directed arc corresponding to the specified edge.
-    /// If the given bool is true, the first node of the given edge and
-    /// the source node of the returned arc are the same.
+    // \brief Directed arc from an edge.
+    //
+    // Returns a directed arc corresponding to the specified edge.
+    // If the given bool is true, the first node of the given edge and
+    // the source node of the returned arc are the same.
     static Arc direct(const Edge &e, bool d) {
       return Arc(e, d);
     }
 
-    /// Returns whether the given directed arc has the same orientation
-    /// as the corresponding edge.
-    ///
-    /// \todo reference to the corresponding point of the undirected digraph
-    /// concept. "What does the direction of an edge mean?"
+    // Returns whether the given directed arc has the same orientation
+    // as the corresponding edge.
     static bool direction(const Arc &a) { return a.forward; }
 
@@ -302,10 +299,10 @@
       Red() {}
       Red(const Node& node) : Node(node) {
-        LEMON_ASSERT(Parent::red(node) || node == INVALID,
-                     typename Parent::NodeSetError());
+        LEMON_DEBUG(Parent::red(node) || node == INVALID,
+                    typename Parent::NodeSetError());
       }
       Red& operator=(const Node& node) {
-        LEMON_ASSERT(Parent::red(node) || node == INVALID,
-                     typename Parent::NodeSetError());
+        LEMON_DEBUG(Parent::red(node) || node == INVALID,
+                    typename Parent::NodeSetError());
         Node::operator=(node);
         return *this;
@@ -334,10 +331,10 @@
       Blue() {}
       Blue(const Node& node) : Node(node) {
-        LEMON_ASSERT(Parent::blue(node) || node == INVALID,
-                     typename Parent::NodeSetError());
+        LEMON_DEBUG(Parent::blue(node) || node == INVALID,
+                    typename Parent::NodeSetError());
       }
       Blue& operator=(const Node& node) {
-        LEMON_ASSERT(Parent::blue(node) || node == INVALID,
-                     typename Parent::NodeSetError());
+        LEMON_DEBUG(Parent::blue(node) || node == INVALID,
+                    typename Parent::NodeSetError());
         Node::operator=(node);
         return *this;
Index: lemon/bits/bezier.h
===================================================================
--- lemon/bits/bezier.h	(revision 209)
+++ lemon/bits/bezier.h	(revision 314)
@@ -20,9 +20,9 @@
 #define LEMON_BEZIER_H
 
-///\ingroup misc
-///\file
-///\brief Classes to compute with Bezier curves.
-///
-///Up to now this file is used internally by \ref graph_to_eps.h
+//\ingroup misc
+//\file
+//\brief Classes to compute with Bezier curves.
+//
+//Up to now this file is used internally by \ref graph_to_eps.h
 
 #include<lemon/dim2.h>
Index: lemon/bits/default_map.h
===================================================================
--- lemon/bits/default_map.h	(revision 209)
+++ lemon/bits/default_map.h	(revision 314)
@@ -20,12 +20,11 @@
 #define LEMON_BITS_DEFAULT_MAP_H
 
-
 #include <lemon/bits/array_map.h>
 #include <lemon/bits/vector_map.h>
 //#include <lemon/bits/debug_map.h>
 
-///\ingroup graphbits
-///\file
-///\brief Graph maps that construct and destruct their elements dynamically.
+//\ingroup graphbits
+//\file
+//\brief Graph maps that construct and destruct their elements dynamically.
 
 namespace lemon {
@@ -150,5 +149,5 @@
 // #endif
 
-  /// \e
+  // DefaultMap class
   template <typename _Graph, typename _Item, typename _Value>
   class DefaultMap
Index: lemon/bits/enable_if.h
===================================================================
--- lemon/bits/enable_if.h	(revision 220)
+++ lemon/bits/enable_if.h	(revision 314)
@@ -36,27 +36,27 @@
 #define LEMON_BITS_ENABLE_IF_H
 
-///\file
-///\brief Miscellaneous basic utilities
+//\file
+//\brief Miscellaneous basic utilities
 
 namespace lemon
 {
 
-  /// Basic type for defining "tags". A "YES" condition for \c enable_if.
+  // Basic type for defining "tags". A "YES" condition for \c enable_if.
 
-  /// Basic type for defining "tags". A "YES" condition for \c enable_if.
-  ///
-  ///\sa False
+  // Basic type for defining "tags". A "YES" condition for \c enable_if.
+  //
+  //\sa False
   struct True {
-    ///\e
+    //\e
     static const bool value = true;
   };
 
-  /// Basic type for defining "tags". A "NO" condition for \c enable_if.
+  // Basic type for defining "tags". A "NO" condition for \c enable_if.
 
-  /// Basic type for defining "tags". A "NO" condition for \c enable_if.
-  ///
-  ///\sa True
+  // Basic type for defining "tags". A "NO" condition for \c enable_if.
+  //
+  //\sa True
   struct False {
-    ///\e
+    //\e
     static const bool value = false;
   };
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 220)
+++ lemon/bits/graph_extender.h	(revision 314)
@@ -28,12 +28,12 @@
 #include <lemon/concepts/maps.h>
 
-///\ingroup graphbits
-///\file
-///\brief Extenders for the digraph types
+//\ingroup graphbits
+//\file
+//\brief Extenders for the digraph types
 namespace lemon {
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Extender for the Digraphs
+  // \ingroup graphbits
+  //
+  // \brief Extender for the Digraphs
   template <typename Base>
   class DigraphExtender : public Base {
@@ -187,28 +187,28 @@
     };
 
-    /// \brief Base node of the iterator
-    ///
-    /// Returns the base node (i.e. the source in this case) of the iterator
+    // \brief Base node of the iterator
+    //
+    // Returns the base node (i.e. the source in this case) of the iterator
     Node baseNode(const OutArcIt &arc) const {
       return Parent::source(arc);
     }
-    /// \brief Running node of the iterator
-    ///
-    /// Returns the running node (i.e. the target in this case) of the
-    /// iterator
+    // \brief Running node of the iterator
+    //
+    // Returns the running node (i.e. the target in this case) of the
+    // iterator
     Node runningNode(const OutArcIt &arc) const {
       return Parent::target(arc);
     }
 
-    /// \brief Base node of the iterator
-    ///
-    /// Returns the base node (i.e. the target in this case) of the iterator
+    // \brief Base node of the iterator
+    //
+    // Returns the base node (i.e. the target in this case) of the iterator
     Node baseNode(const InArcIt &arc) const {
       return Parent::target(arc);
     }
-    /// \brief Running node of the iterator
-    ///
-    /// Returns the running node (i.e. the source in this case) of the
-    /// iterator
+    // \brief Running node of the iterator
+    //
+    // Returns the running node (i.e. the source in this case) of the
+    // iterator
     Node runningNode(const InArcIt &arc) const {
       return Parent::source(arc);
@@ -228,4 +228,5 @@
         : Parent(digraph, value) {}
 
+    private:
       NodeMap& operator=(const NodeMap& cmap) {
         return operator=<NodeMap>(cmap);
@@ -252,4 +253,5 @@
         : Parent(digraph, value) {}
 
+    private:
       ArcMap& operator=(const ArcMap& cmap) {
         return operator=<ArcMap>(cmap);
@@ -324,7 +326,7 @@
   };
 
-  /// \ingroup _graphbits
-  ///
-  /// \brief Extender for the Graphs
+  // \ingroup _graphbits
+  //
+  // \brief Extender for the Graphs
   template <typename Base>
   class GraphExtender : public Base {
@@ -554,41 +556,41 @@
     };
 
-    /// \brief Base node of the iterator
-    ///
-    /// Returns the base node (ie. the source in this case) of the iterator
+    // \brief Base node of the iterator
+    //
+    // Returns the base node (ie. the source in this case) of the iterator
     Node baseNode(const OutArcIt &arc) const {
       return Parent::source(static_cast<const Arc&>(arc));
     }
-    /// \brief Running node of the iterator
-    ///
-    /// Returns the running node (ie. the target in this case) of the
-    /// iterator
+    // \brief Running node of the iterator
+    //
+    // Returns the running node (ie. the target in this case) of the
+    // iterator
     Node runningNode(const OutArcIt &arc) const {
       return Parent::target(static_cast<const Arc&>(arc));
     }
 
-    /// \brief Base node of the iterator
-    ///
-    /// Returns the base node (ie. the target in this case) of the iterator
+    // \brief Base node of the iterator
+    //
+    // Returns the base node (ie. the target in this case) of the iterator
     Node baseNode(const InArcIt &arc) const {
       return Parent::target(static_cast<const Arc&>(arc));
     }
-    /// \brief Running node of the iterator
-    ///
-    /// Returns the running node (ie. the source in this case) of the
-    /// iterator
+    // \brief Running node of the iterator
+    //
+    // Returns the running node (ie. the source in this case) of the
+    // iterator
     Node runningNode(const InArcIt &arc) const {
       return Parent::source(static_cast<const Arc&>(arc));
     }
 
-    /// Base node of the iterator
-    ///
-    /// Returns the base node of the iterator
+    // Base node of the iterator
+    //
+    // Returns the base node of the iterator
     Node baseNode(const IncEdgeIt &edge) const {
       return edge._direction ? u(edge) : v(edge);
     }
-    /// Running node of the iterator
-    ///
-    /// Returns the running node of the iterator
+    // Running node of the iterator
+    //
+    // Returns the running node of the iterator
     Node runningNode(const IncEdgeIt &edge) const {
       return edge._direction ? v(edge) : u(edge);
@@ -609,4 +611,5 @@
         : Parent(graph, value) {}
 
+    private:
       NodeMap& operator=(const NodeMap& cmap) {
         return operator=<NodeMap>(cmap);
@@ -633,4 +636,5 @@
         : Parent(graph, value) {}
 
+    private:
       ArcMap& operator=(const ArcMap& cmap) {
         return operator=<ArcMap>(cmap);
@@ -658,4 +662,5 @@
         : Parent(graph, value) {}
 
+    private:
       EdgeMap& operator=(const EdgeMap& cmap) {
         return operator=<EdgeMap>(cmap);
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 209)
+++ lemon/bits/map_extender.h	(revision 314)
@@ -27,12 +27,12 @@
 #include <lemon/concepts/maps.h>
 
-///\file
-///\brief Extenders for iterable maps.
+//\file
+//\brief Extenders for iterable maps.
 
 namespace lemon {
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Extender for maps
+  // \ingroup graphbits
+  //
+  // \brief Extender for maps
   template <typename _Map>
   class MapExtender : public _Map {
@@ -63,4 +63,5 @@
       : Parent(graph, value) {}
 
+  private:
     MapExtender& operator=(const MapExtender& cmap) {
       return operator=<MapExtender>(cmap);
@@ -73,4 +74,5 @@
     }
 
+  public:
     class MapIt : public Item {
     public:
@@ -170,7 +172,7 @@
   };
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Extender for maps which use a subset of the items.
+  // \ingroup graphbits
+  //
+  // \brief Extender for maps which use a subset of the items.
   template <typename _Graph, typename _Map>
   class SubMapExtender : public _Map {
@@ -201,4 +203,5 @@
       : Parent(_graph, _value), graph(_graph) {}
 
+  private:
     SubMapExtender& operator=(const SubMapExtender& cmap) {
       return operator=<MapExtender>(cmap);
@@ -215,4 +218,5 @@
     }
 
+  public:
     class MapIt : public Item {
     public:
Index: lemon/bits/traits.h
===================================================================
--- lemon/bits/traits.h	(revision 220)
+++ lemon/bits/traits.h	(revision 314)
@@ -20,7 +20,7 @@
 #define LEMON_BITS_TRAITS_H
 
-///\file
-///\brief Traits for graphs and maps
-///
+//\file
+//\brief Traits for graphs and maps
+//
 
 #include <lemon/bits/enable_if.h>
